Subject: Re: procmail log file

From: [email-masked] (David W. Tamkin)
Date: Mon, 26 Sep 1994 11:40:28 -0500 (CDT)

Steve Krans asked,

| Has anyone gotten an an overlapping entry in the mail log file, like this:

Not quite like that: I've never had interleaved log abstracts like those, but
I log other information, and procmail logs its own errors, so frequently I
find the logged data from one letter interleaved with those from another.

| It looks like both pieces of mail came in simultaneously, and wrote to the
| log file at the same time.  Doesn't procmail lock the log file, or are my
| locking methods not working?

Procmail doesn't lock the logfile.  A global lockfile would take care of
that if it's a big enough problem to put up with the drawbacks of global
lockfiles.

David W. Tamkin  P. O. Box 3284  Skokie IL  60076-6284
[email-masked]   MCI Mail: 426-1818   +1 312 714 5610